package com.tofly.xrtygis.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

public interface TableCountMapper {

    Page<Map> getPartition(Page page);

    Page<Map> getPartitionInfo(Page page, @Param("dmaId") String dmaId);

    List<Map> viewPartitionInfo(@Param("dmaId") String dmaId);
}
